<?php
	// ②POSTで送られてきた内容から「name」の値を読み取れる場合
	if ( !empty($_POST["name"]) ) {
		// HTTPヘッダにクッキー情報を埋め込む
		setcookie( "name", $_POST["name"], time()+60*60*24*30 );
	}
?> 

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>クッキーを使うとWebブラウザーを識別できる</title>
	</head>

	<body>

		<?php
			// ③クッキーで「name」の値を読み取れる場合
			if ( !empty($_COOKIE["name"]) ) {
				echo "世界で一番美しいのは" . $_COOKIE["name"] . "です。";
			}
			// ②POSTで送られてきた内容から「name」の値を読み取れる場合
			elseif ( !empty($_POST["name"]) ) {
				echo "あなたの名前を覚えました。";
			}
			// ①クッキーでもPOSTでも「name」の値を読み取れない場合
			else {
				echo '<form action="cookie.php" method="POST">';
				echo 'あなたの名前を教えてください。<br>';
				echo '<input type="text" name="name">';
				echo '<input type="submit" value="教える">';
				echo '</form>';
			}
		?>

	</body>
</html>
