<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>買う買うWeb用にSQLiteのファイルを作成し、テーブルを準備する</title>
	</head>

	<body>
		ボタンを押すと買う買うWeb用にSQLiteのファイルを作成し、テーブルを準備します。<br>
		既存のデータがある場合、データは削除されるので注意して下さい。<br><br>

		<form method="POST" action="kaukau_setup.php">
			<input type="submit" name="setup" value="セットアップ">
		</form>

		<?php
			// セットアップボタンが押されたかどうかのチェック
			if ( empty($_POST["setup"]) ) exit;

			// 「kaukau」データベースファイルをオープン
			$db = sqlite_open("kaukau.sqlite");

			// 既存のitemsテーブルを削除する（あれば）
			sqlite_query( $db, "DROP TABLE items");

			// 「items」テーブル作成用SQLを準備
			$sql  = "CREATE TABLE items (	 item_id integer, ".
											"item_name text, ".
											"item_maker text, ".
											"item_price integer, ".
											"item_store text, ".
											"item_date timestamp, ".
											"item_comment text, ".
											"item_userid integer, ".
											"item_satisfaction integer, ".
											"item_image text, ".
											"item_detail text, ".
											"item_asin text, ".
											"primary key (item_id) )";

			// 「items」テーブルを作成
			sqlite_query( $db, $sql );

			// 既存のusersテーブルを削除する（あれば）
			sqlite_query( $db, "drop table users");

			// 「users」テーブル作成用SQLを準備
			$sql  = "CREATE TABLE users (	 user_id integer, ".
											"user_name text, ".
											"user_password text, ".
											"user_question text, ".
											"user_answer text, ".
											"user_lastlogin timestamp, ".
											"primary key (user_id) )";

			// 「users」テーブルを作成
			sqlite_query( $db, $sql );
		?>

		買う買うWeb用にSQLiteのファイルを作成し、テーブルを準備しました。

	</body>
</html>
