<?php
	// セッション制御
	session_start();

	if ( !empty($_SESSION["userid"]) && !empty($_POST["register"]) ) {
		$name			= $_POST["name"];
		$maker			= $_POST["maker"];
		$price			= $_POST["price"];
		$store			= $_POST["store"];
		$date			= $_POST["date"];
		$satisfaction	= $_POST["satisfaction"];
		$comment		= $_POST["comment"];
		$asin			= $_POST["asin"];
		$image			= $_POST["image"];
		$detail 		= $_POST["detail"];
		$userid			= $_SESSION["userid"];

		// 本当は入力チェックが必要
		// DBファイルオープン
		$db = sqlite_open("kaukau.sqlite");

		// DBに登録	
		$sql  = "INSERT INTO items VALUES ( (SELECT max(item_id)+1 FROM items), '$name', '$maker', $price, '$store', '$date', '$comment', $userid, $satisfaction, '$image', '$detail', '$asin')";

		$result = sqlite_query( $db, $sql );

		header("Location: kaukau_top.php");
	}
	// Amazonの検索結果を取得
	else if ( !empty($_POST["result"]) ) {
		$asin	= $_POST["asin"];
		$price	= $_POST["price"];
		$name	= $_POST["name"];
		$maker	= $_POST["maker"];
		$image	= $_POST["image"];
		$detail	= $_POST["detail"];
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>商品の情報をフォームに入力して、データベースに追加する</title>
		<script type="text/javascript">
			function search() {
				searchForm				= document.getElementById("sform");
				registerName_text		= document.getElementById("regname");
				searchName_text			= document.getElementById("sname");
				searchName_text.value	= registerName_text.value;
				searchForm.submit();
			}
		</script>
	</head>

	<body>
		<h1>買う買うWeb 商品登録</h1>

		<form action="kaukau_add.php" id="regform" method="POST">
			商品名 <input type="text" name="name" id="regname" value="<?php echo $name; ?>">
			<input type="button" value="商品名でアマゾンを検索" onClick="search();"><br>
			メーカー <input type="text" name="maker" value="<?php echo $maker; ?>"><br>
			価格 <input type="text" name="price" value="<?php echo $price; ?>"><br>
			購入店 <input type="text" name="store"><br>
			購入日 <input type="text" name="date" value="<?php echo date("Y-m-d"); ?>"><br>

			満足度
			<select name="satisfaction">
				<option value="5">★★★★★(最高)</option>
				<option value="4">★★★★☆(満足)</option>
				<option value="3" selected>★★★☆☆(ふつう)</option>
				<option value="2">★★☆☆☆(まぁまぁ)</option>
				<option value="1">★☆☆☆☆(最低)</option>
			</select><br>
			
			コメント<br>
			<textarea cols="40" rows="5" name="comment"></textarea><br>
			ASIN <input type="text" name="asin" value="<?php echo $asin; ?>"><br>
			画像URL <input type="text" name="image" value="<?php echo $image; ?>"><br>
			<input type="hidden" name="detail" value="<?php echo $detail; ?>">
			<input type="submit" name="register" value="登録">
		</form>

		<!-- Amazon検索用非表示フォーム -->
		<form action="kaukau_search.php" id="sform" method="POST">
			<input type="hidden" name="name" value="" id="sname">
		</form>

	</body>
</html>