<?php
	session_start();
	if ( empty($_SESSION["userid"]) ) {
		header("Location: kaukau_top.php");
		exit;
	}
	set_time_limit(0);
	ini_set( "default_socket_timeout", 60*5 );
	define( "ACCESS_KEY_ID", "0123456789ABCDEFGHIJ" );
	define( "ASSOC_ID", "example-22" );
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>商品の情報をフォームに入力して、データベースから検索する</title>
	</head>
	<body>
		<h1>買う買うWeb 商品登録</h1>
		<form action="kaukau_search.php" method="POST">
			本のタイトル
			<input type="text" name="name" value="<?php echo $_POST["name"]; ?>" size="50">
			<input type="submit" value="検索">
		</form>
		<?php
			ini_set('include_path', ".:/homepage/PEAR/PEAR");
			require( "/homepage/PEAR/PEAR/Cache.php" );
			require( "/homepage/PEAR/PEAR/Services/AmazonECS4.php" );
			$amazon = new Services_AmazonECS4( ACCESS_KEY_ID, ASSOC_ID );
			$ret = $amazon->setLocale("JP");
			if ( PEAR::isError($ret) ) {
				echo '対応していないロケーション';
				exit;
			}
			$ret = $amazon->setCache( "file", array("cache_dir"=>"/homepage/cached/") );
			if ( PEAR::isError($ret) ) {
				echo 'キャッシュ設定失敗';
				exit;
			}
			$amazon->setCacheExpire(24*60*60);
			$options["Keywords"]		= $_POST["name"];
			$options["ResponseGroup"]	= "Medium";
			$search_result = $amazon->ItemSearch( "Blended", $options );
			if ( PEAR::isError($search_result) ) {
				$errmsg = htmlspecialchars( $search_result->message, ENT_QUOTES );
				echo '検索失敗<br>' . $errmsg;
				exit;
			}
			foreach( $search_result["Item"] as $item ) {
				$attributes	= $item["ItemAttributes"];
				$asin		= htmlspecialchars( $item["ASIN"] );
				$title		= htmlspecialchars( $attributes["Title"], ENT_QUOTES );
				$maker		= htmlspecialchars( $attributes["Publisher"], ENT_QUOTES );
				$detailUrl	= htmlspecialchars( $item["DetailPageURL"], ENT_QUOTES );
				$imageUrl	= htmlspecialchars( $item["SmallImage"]["URL"], ENT_QUOTES );
				$price		= htmlspecialchars( $attributes["ListPrice"]["Amount"], ENT_QUOTES );
				if ( empty($price) ) {
					$price = htmlspecialchars( $item["OfferSummary"]["LowestNewPrice"]["Amount"] );
					
					if ( empty($price) )
						$price = htmlspecialchars( $item["OfferSummary"]["LowestUsedPrice"]["Amount"] );
				}
				echo '<hr>';
				echo '<a href="' . $detailUrl . '"><img src="' . $imageUrl . '" align="left"></a>';
				echo 'タイトル ' . $title . '<br>';
				echo '価格 ' . $price . '<br>';
				echo '<form action="kaukau_add.php" method="POST">';
				echo '<input type="hidden" name="asin" value="' . $asin . '">';
				echo '<input type="hidden" name="price" value="' . $price . '">';
				echo '<input type="hidden" name="name" value="' . $title . '">';
				echo '<input type="hidden" name="maker" value="' . $maker . '">';
				echo '<input type="hidden" name="image" value="' . $imageUrl . '">';
				echo '<input type="hidden" name="detail" value="' . $detailUrl . '">';
				echo '<input type="submit" name="result" value="この商品を追加">';
				echo '</form><br clear="all">';
			}
		?>
	</body>
</html>
